Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Reactive_Strategy Class Template Reference

Reactive strategy base class. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Endpoint_Reactive_Strategy:

[legend]
Collaboration diagram for TAO_AV_Endpoint_Reactive_Strategy:

[legend]
List of all members.

## Protected Methods
| TAO_AV_Endpoint_Reactive_Strategy (void)
| Constructor. More...
virtual | ~TAO_AV_Endpoint_Reactive_Strategy (void)
| Destructor. More...
virtual int | activate (void)
| creates and activates the streamendpoint, vdev, and mediacontrol. More...
virtual int | activate_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)=0
| activates the stream_endpoint with the POA. More...
virtual int | activate_vdev (ACE_ENV_SINGLE_ARG_DECL)
| activates the vdev with the POA. More...
virtual int | activate_mediactrl (ACE_ENV_SINGLE_ARG_DECL)
| activates the media controller with the POA. More...
virtual int | make_vdev (T_VDev *&vdev)
| Bridge method to create a vdev, a la Acceptor. Applications can override this. More...
virtual int | make_stream_endpoint (T_StreamEndpoint *&stream_endpoint)
| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this. More...
virtual int | make_mediactrl (T_MediaCtrl *&media_ctrl)
| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this. More...
char * | activate_with_poa (PortableServer::Servant servant ACE_ENV_ARG_DECL)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_
CORBA::Object_var | media_ctrl_obj_
T_StreamEndpoint * | stream_endpoint_a_servant_
T_StreamEndpoint * | stream_endpoint_b_servant_
T_VDev * | vdev_servant_
T_MediaCtrl * | media_ctrl_servant_

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
class TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >

Reactive strategy base class.

## Constructor & Destructor Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::TAO_AV_Endpoint_Reactive_Strategy | ( | void |  | ) | `[protected]`

| Constructor.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::~TAO_AV_Endpoint_Reactive_Strategy | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate | ( | void |  | ) | `[protected, virtual]`

| creates and activates the streamendpoint, vdev, and mediacontrol.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_mediactrl | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| activates the media controller with the POA.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
virtual int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, pure virtual]`

| activates the stream_endpoint with the POA. Reimplemented in TAO_AV_Endpoint_Reactive_Strategy_A, and TAO_AV_Endpoint_Reactive_Strategy_B.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_vdev | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| activates the vdev with the POA.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
char * TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_with_poa | ( | PortableServer::Servant servant | ACE_ENV_ARG_DECL | ) | `[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_mediactrl | ( | T_MediaCtrl *& | media_ctrl | ) | `[protected, virtual]`

| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_stream_endpoint | ( | T_StreamEndpoint *& | stream_endpoint | ) | `[protected, virtual]`

| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >::make_vdev | ( | T_VDev *& | vdev | ) | `[protected, virtual]`

| Bridge method to create a vdev, a la Acceptor. Applications can override this.

## Member Data Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CORBA::Object_var TAO_AV_Endpoint_Reactive_Strategy::media_ctrl_obj_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_MediaCtrl* TAO_AV_Endpoint_Reactive_Strategy::media_ctrl_servant_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
CORBA::ORB_var TAO_AV_Endpoint_Reactive_Strategy::orb_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
PortableServer::POA_var TAO_AV_Endpoint_Reactive_Strategy::poa_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_StreamEndpoint* TAO_AV_Endpoint_Reactive_Strategy::stream_endpoint_a_servant_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_StreamEndpoint* TAO_AV_Endpoint_Reactive_Strategy::stream_endpoint_b_servant_`[protected]`

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
T_VDev* TAO_AV_Endpoint_Reactive_Strategy::vdev_servant_`[protected]`

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp